<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/src/adc.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">adc.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d01/adc_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &quot;<a class="code" href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a>&quot;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">   38</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">ADC_Open</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>              uint32_t u32InputMode,</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>              uint32_t u32OpMode,</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>              uint32_t u32ChMask)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>{</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADCR = 0;  <span class="comment">// A clean start.</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADCHER  = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADCHER &amp; ~ADC_ADCHER_CHEN_Msk) | u32ChMask;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>}</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">   54</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">ADC_Close</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc)</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>{</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRSTC2 |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a2b9c3b8c06ce970c889fa81b2befeb65">SYS_IPRSTC2_ADC_RST_Msk</a>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRSTC2 &amp;= ~SYS_IPRSTC2_ADC_RST_Msk;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>}</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">   76</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">ADC_EnableHWTrigger</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                         uint32_t u32Source,</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                         uint32_t u32Param)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>{</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADCR &amp;= ~(<a class="code hl_define" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6406d16f2d4bcc5bd0f1f1f58f26850e">ADC_TRIGGER_BY_PWM</a> | <a class="code hl_define" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae3e21aed15e5d2625c55e335f3e940e8">ADC_RISING_EDGE_TRIGGER</a> | <a class="code hl_define" href="../../da/da1/group___m_i_n_i51___c_m_s_i_s.html#gaed557303f66ef947bef4f0d9afb87a60">ADC_ADCR_TRGEN_Msk</a>);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    <span class="keywordflow">if</span>(u32Source == <a class="code hl_define" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab00b676b7a485e344250465c7379356c">ADC_TRIGGER_BY_EXT_PIN</a>)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADCR |= u32Source | u32Param | <a class="code hl_define" href="../../da/da1/group___m_i_n_i51___c_m_s_i_s.html#gaed557303f66ef947bef4f0d9afb87a60">ADC_ADCR_TRGEN_Msk</a>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADTDCR = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADTDCR &amp; ~ADC_ADTDCR_PTDT_Msk) | u32Param;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADCR |= u32Source | <a class="code hl_define" href="../../da/da1/group___m_i_n_i51___c_m_s_i_s.html#gaed557303f66ef947bef4f0d9afb87a60">ADC_ADCR_TRGEN_Msk</a>;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>}</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">   98</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">ADC_DisableHWTrigger</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc)</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>{</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADCR &amp;= ~(<a class="code hl_define" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6406d16f2d4bcc5bd0f1f1f58f26850e">ADC_TRIGGER_BY_PWM</a> | <a class="code hl_define" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae3e21aed15e5d2625c55e335f3e940e8">ADC_RISING_EDGE_TRIGGER</a> | <a class="code hl_define" href="../../da/da1/group___m_i_n_i51___c_m_s_i_s.html#gaed557303f66ef947bef4f0d9afb87a60">ADC_ADCR_TRGEN_Msk</a>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>}</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">  123</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">ADC_SetExtraSampleTime</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>                            uint32_t u32ChNum,</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>                            uint32_t u32SampleTime)</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>{</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADSAMP = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADSAMP &amp; ~ADC_ADSAMP_SAMPCNT_Msk) | u32SampleTime;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>}</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">  141</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">ADC_EnableInt</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask)</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>{</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    <span class="keywordflow">if</span>(u32Mask &amp; <a class="code hl_define" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40dde4ccecc2ebea0a175cd68431ad5d">ADC_ADF_INT</a>)</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADCR |= <a class="code hl_define" href="../../da/da1/group___m_i_n_i51___c_m_s_i_s.html#gae74de50f131ee0d5c01775ef4a0fb2a3">ADC_ADCR_ADIE_Msk</a>;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    <span class="keywordflow">if</span>(u32Mask &amp; <a class="code hl_define" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41c48b26f935a8b70e8199d52c3581db">ADC_CMP0_INT</a>)</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADCMPR[0] |= <a class="code hl_define" href="../../da/da1/group___m_i_n_i51___c_m_s_i_s.html#gac5683e397ce7dff0d614aa4ed6abd280">ADC_ADCMPR_CMPIE_Msk</a>;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    <span class="keywordflow">if</span>(u32Mask &amp; <a class="code hl_define" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90d906eaa07da4d1856dffc04be5ed8">ADC_CMP1_INT</a>)</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADCMPR[1] |= <a class="code hl_define" href="../../da/da1/group___m_i_n_i51___c_m_s_i_s.html#gac5683e397ce7dff0d614aa4ed6abd280">ADC_ADCMPR_CMPIE_Msk</a>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span> </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>}</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno"><a class="line" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">  164</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">ADC_DisableInt</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask)</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>{</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    <span class="keywordflow">if</span>(u32Mask &amp; <a class="code hl_define" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40dde4ccecc2ebea0a175cd68431ad5d">ADC_ADF_INT</a>)</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADCR &amp;= ~ADC_ADCR_ADIE_Msk;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    <span class="keywordflow">if</span>(u32Mask &amp; <a class="code hl_define" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41c48b26f935a8b70e8199d52c3581db">ADC_CMP0_INT</a>)</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADCMPR[0] &amp;= ~ADC_ADCMPR_CMPIE_Msk;</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    <span class="keywordflow">if</span>(u32Mask &amp; <a class="code hl_define" href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90d906eaa07da4d1856dffc04be5ed8">ADC_CMP1_INT</a>)</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;ADCMPR[1] &amp;= ~ADC_ADCMPR_CMPIE_Msk;</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span> </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>}</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> <span class="comment">/* end of group MINI51_ADC_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span> <span class="comment">/* end of group MINI51_ADC_Driver */</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span> <span class="comment">/* end of group MINI51_Device_Driver */</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span><span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_mini51_series_8h_html"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a></div><div class="ttdoc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's d...</div></div>
<div class="ttc" id="a_mini51_series_8h_html_a2b9c3b8c06ce970c889fa81b2befeb65"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a2b9c3b8c06ce970c889fa81b2befeb65">SYS_IPRSTC2_ADC_RST_Msk</a></div><div class="ttdeci">#define SYS_IPRSTC2_ADC_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l01593">Mini51Series.h:1593</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga40dde4ccecc2ebea0a175cd68431ad5d"><div class="ttname"><a href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40dde4ccecc2ebea0a175cd68431ad5d">ADC_ADF_INT</a></div><div class="ttdeci">#define ADC_ADF_INT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d19/adc_8h_source.html#l00041">adc.h:41</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga41c48b26f935a8b70e8199d52c3581db"><div class="ttname"><a href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41c48b26f935a8b70e8199d52c3581db">ADC_CMP0_INT</a></div><div class="ttdeci">#define ADC_CMP0_INT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d19/adc_8h_source.html#l00042">adc.h:42</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga6406d16f2d4bcc5bd0f1f1f58f26850e"><div class="ttname"><a href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6406d16f2d4bcc5bd0f1f1f58f26850e">ADC_TRIGGER_BY_PWM</a></div><div class="ttdeci">#define ADC_TRIGGER_BY_PWM</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d19/adc_8h_source.html#l00038">adc.h:38</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gab00b676b7a485e344250465c7379356c"><div class="ttname"><a href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab00b676b7a485e344250465c7379356c">ADC_TRIGGER_BY_EXT_PIN</a></div><div class="ttdeci">#define ADC_TRIGGER_BY_EXT_PIN</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d19/adc_8h_source.html#l00037">adc.h:37</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gab90d906eaa07da4d1856dffc04be5ed8"><div class="ttname"><a href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90d906eaa07da4d1856dffc04be5ed8">ADC_CMP1_INT</a></div><div class="ttdeci">#define ADC_CMP1_INT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d19/adc_8h_source.html#l00043">adc.h:43</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gae3e21aed15e5d2625c55e335f3e940e8"><div class="ttname"><a href="../../d6/dbd/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae3e21aed15e5d2625c55e335f3e940e8">ADC_RISING_EDGE_TRIGGER</a></div><div class="ttdeci">#define ADC_RISING_EDGE_TRIGGER</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d19/adc_8h_source.html#l00040">adc.h:40</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga685b6f8aa3a0f1fea8992f0f105e7241"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">ADC_EnableHWTrigger</a></div><div class="ttdeci">void ADC_EnableHWTrigger(ADC_T *adc, uint32_t u32Source, uint32_t u32Param)</div><div class="ttdoc">Configure the hardware trigger condition and enable hardware trigger.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00076">adc.c:76</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga68854f8ea2f77c73a8cf029034ec4885"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">ADC_Close</a></div><div class="ttdeci">void ADC_Close(ADC_T *adc)</div><div class="ttdoc">Disable ADC module.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00054">adc.c:54</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6adcefbb9e5bc5aa9ea0741d028532fd"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">ADC_SetExtraSampleTime</a></div><div class="ttdeci">void ADC_SetExtraSampleTime(ADC_T *adc, uint32_t u32ChNum, uint32_t u32SampleTime)</div><div class="ttdoc">Set ADC sample time for designated channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00123">adc.c:123</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7033da903c767e3fcd564d1695a43fac"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">ADC_Open</a></div><div class="ttdeci">void ADC_Open(ADC_T *adc, uint32_t u32InputMode, uint32_t u32OpMode, uint32_t u32ChMask)</div><div class="ttdoc">This API configures ADC module to be ready for convert the input from selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00038">adc.c:38</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7064e6cb526c985efcdb85a4644c5d4e"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">ADC_DisableInt</a></div><div class="ttdeci">void ADC_DisableInt(ADC_T *adc, uint32_t u32Mask)</div><div class="ttdoc">Disable the interrupt(s) selected by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00164">adc.c:164</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9703215cf92463b8c79f486aa6270ca8"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">ADC_DisableHWTrigger</a></div><div class="ttdeci">void ADC_DisableHWTrigger(ADC_T *adc)</div><div class="ttdoc">Disable hardware trigger ADC function.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00098">adc.c:98</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa17b8a283b2eebe8bfb193056c7fed35"><div class="ttname"><a href="../../d9/d69/group___m_i_n_i51___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">ADC_EnableInt</a></div><div class="ttdeci">void ADC_EnableInt(ADC_T *adc, uint32_t u32Mask)</div><div class="ttdoc">Enable the interrupt(s) selected by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00141">adc.c:141</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_m_s_i_s_html_gac5683e397ce7dff0d614aa4ed6abd280"><div class="ttname"><a href="../../da/da1/group___m_i_n_i51___c_m_s_i_s.html#gac5683e397ce7dff0d614aa4ed6abd280">ADC_ADCMPR_CMPIE_Msk</a></div><div class="ttdeci">#define ADC_ADCMPR_CMPIE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00555">Mini51Series.h:555</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_m_s_i_s_html_gae74de50f131ee0d5c01775ef4a0fb2a3"><div class="ttname"><a href="../../da/da1/group___m_i_n_i51___c_m_s_i_s.html#gae74de50f131ee0d5c01775ef4a0fb2a3">ADC_ADCR_ADIE_Msk</a></div><div class="ttdeci">#define ADC_ADCR_ADIE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00507">Mini51Series.h:507</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_m_s_i_s_html_gaed557303f66ef947bef4f0d9afb87a60"><div class="ttname"><a href="../../da/da1/group___m_i_n_i51___c_m_s_i_s.html#gaed557303f66ef947bef4f0d9afb87a60">ADC_ADCR_TRGEN_Msk</a></div><div class="ttdeci">#define ADC_ADCR_TRGEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00516">Mini51Series.h:516</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga54d148b91f3d356713f7e367a2243bea"><div class="ttname"><a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a></div><div class="ttdeci">#define ADC</div><div class="ttdoc">Pointer to ADC register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l05732">Mini51Series.h:5732</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gae3d9f52a1a315303ad04f0576bd42a25"><div class="ttname"><a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a></div><div class="ttdeci">#define SYS</div><div class="ttdoc">Pointer to SYS register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l05735">Mini51Series.h:5735</a></div></div>
<div class="ttc" id="astruct_a_d_c___t_html"><div class="ttname"><a href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l00289">Mini51Series.h:290</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
